Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezgroupeventcalendar/user/dayview.php File Reference

Go to the source code of this file.

## Functions
| eventRowSpan (&$event)
| intersects (&$app, &$startTime, &$stopTime)
| addZero ($value)
| getEventHeight ($event)
| getDayDiff ($d1, $d2)
| EventTimeOverlaps ($ev1, $ev2)

## Variables
| $ini = &eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable("site", "SiteDesign")
| $Language = $ini->variable("eZGroupEventCalendarMain", "Language")
| $StartTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStartTime")
| $StopTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStopTime")
| $TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )
| $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )
| $IntervalStr = "00:15"
| $Locale = new eZLocale($Language)
| $curDate = new eZDate()
| $curYear = $curDate->year()
| $curMonth = $curDate->month()
| $curDay = $curDate->day()
| $user = eZUser::currentUser()
if( $user) elseif(! $user) | $session = &eZSession::globalSession()
| $URL = explode("/", $_SERVER["REQUEST_URI"])
if(count($URL)<=5) | else
| $groupID = $readGroup->id()
if(!isset($GetByGroupID)) if($GetByGroupID==false) if(!isset($GetByUserID)) if(!isset($Type)) | $type = new eZGroupEventType($Type)
if( $session->variable("ShowOtherCalendarGroups")==false||isset($GetByGroup)) | $tmpGroup = new eZUserGroup($session->variable("ShowOtherCalendarGroups"))
if(!isset($GetByTypeID)) | $date = new eZDate()
| $Month = $date->month()
| $Day = $date->day()
| $zMonth = addZero($Month)
| $zDay = addZero($Day)
| $isMyCalendar = $user && $userID == $GetByUserID ? "-private" : ""
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $templateDirTmp = $sectionObject->templateStyle()
| $t
| $user_groupID = "-1"
| $groupsList = "-1"
| $noShowGroup = new eZGroupNoShow()
| $rootAccess = false
| $today = new eZDate()
| $tmpDate = new eZDate($date->year(), $date->month(), $date->day())
| $tmpGroupEvent = new eZGroupEvent()
| $startTime = new eZTime()
| $stopTime = new eZTime()
| $interval = new eZTime()
if(preg_match("#(^( | $dayArray [0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StartTimeStr, $startArray)) if (preg_match( "#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StopTimeStr, $stopArray)) if (preg_match( "#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $IntervalStr, $intervalArray))
| $midNight = new eZTime()
| $lastInterval = $midNight->subtract($interval)
| $firstInterval = $midNight->add($interval)
for($i=$startTime->hour(); $i<=$stopTime->hour(); $i++) | $numRows = 0
| $numCols = 1
| $tableCellsId = []
| $tableCellsRowSpan = []
| $colTaken = []
| $emptyRows = []
| $eventDone = []
| $tmpTime = new eZTime()
while($tmpTime->isGreater($stopTime)==true) for($col=0; $col< $numCols; $col++) | $emptyDone = false
| $now = new eZTime()
| $nowSet = false
| $row = 0
while($tmpTime->isGreater($stopTime, false)==true) | $group = new eZUserGroup()
| $group_array = &$group->getAll()
foreach($group_array as $groupItem) | $typeList = $type->getAll()
| $dayAdjust = 0

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 1051 of file ezgroupeventcalendar/user/dayview.php.

References $ret.

Referenced by EventTimeOverlaps().

## ◆ eventRowSpan()

eventRowSpan | ( | & | $event | ) |

Definition at line 992 of file ezgroupeventcalendar/user/dayview.php.

References $event, and $ret.

## ◆ EventTimeOverlaps()

EventTimeOverlaps | ( |  | $ev1,
|  |  | $ev2
| ) |  |

Returns true if the two events overlap (in time only)

Definition at line 1137 of file ezgroupeventcalendar/user/dayview.php.

References addZero().

## ◆ getDayDiff()

getDayDiff | ( |  | $d1,
|  |  | $d2
| ) |  |

Definition at line 1082 of file ezgroupeventcalendar/user/dayview.php.

## ◆ getEventHeight()

getEventHeight | ( |  | $event | ) |

Calculates and returns height of the event descrip div based on the 1px = 1 minute background image, and a 16 pix heading.

Definition at line 1064 of file ezgroupeventcalendar/user/dayview.php.

References $event, and $ret.

## ◆ intersects()

intersects | ( | & | $app,
|  | & | $startTime,
|  | & | $stopTime
| ) |  |

Definition at line 1019 of file ezgroupeventcalendar/user/dayview.php.

References $app, $ret, $startTime, and $stopTime.

## Variable Documentation

## ◆ $colTaken

$colTaken = []

Definition at line 536 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $curDate

$curDate = new eZDate()

Definition at line 59 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $curDay

$curDay = $curDate->day()

Definition at line 64 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $curMonth

$curMonth = $curDate->month()

Definition at line 63 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $curYear

$curYear = $curDate->year()

Definition at line 62 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $date

if (!isset( $GetByTypeID)) $date = new eZDate()

Definition at line 136 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $Day

$Day = $date->day()

Definition at line 145 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $dayAdjust

$dayAdjust = 0

Definition at line 882 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $dayArray

if (preg_match( "#(^( $dayArray[0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $StartTimeStr, $startArray)) if (preg_match( "#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $StopTimeStr, $stopArray)) if (preg_match( "#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#", $IntervalStr, $intervalArray))

Initial value:
= [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday",
]

Definition at line 384 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $emptyDone

while ( $tmpTime->isGreater( $stopTime)==true) for ( $col=0;$col< $numCols;$col++) $emptyDone | ( |  | ) | = false

Definition at line 641 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $emptyRows

$emptyRows = []

Definition at line 537 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $eventDone

$eventDone = []

Definition at line 538 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $firstInterval

$firstInterval = $midNight->add($interval)

Definition at line 418 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $GlobalSectionID

$GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )

Definition at line 54 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $group

while ( $tmpTime->isGreater( $stopTime, false)==true) $group = new eZUserGroup()

Definition at line 835 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $group_array

$group_array = &$group->getAll()

Definition at line 836 of file ezgroupeventcalendar/user/dayview.php.

Referenced by eZGroupEditor\get(), eZGroupNoShow\get(), eZUserGroup\getAll(), eZGroupEditor\getAll(), eZGroupNoShow\getAll(), eZGroupEditor\getByGroup(), eZUserGroup\getByUser(), eZGroupNoShow\groupEntry(), eZImageVariationGroup\groupExists(), eZGroupEditor\groupHasEditor(), eZGroupEditor\hasEditPermission(), eZGroupEditor\listGroups(), read_group(), and eZGroupEditor\removeDeletedGroup().

## ◆ $groupID

$groupID = $readGroup->id()

Definition at line 90 of file ezgroupeventcalendar/user/dayview.php.

Referenced by eZContentObjectState\fetchByGroup(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroup(), eZImageVariation\getByGroupAndImage(), eZGroupEvent\getByGroupType(), eZObjectPermission\getGroups(), eZObjectPermission\getObjects(), eZUser\groupString(), eZPermission\isEnabled(), eZContentObjectStateGroup\limitationValues(), newArticle(), eZPermission\setEnabled(), and eZObjectPermission\setPermission().

## ◆ $groupsList

$groupsList = "-1"

Definition at line 185 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $ini

$ini = &eZINI::instance( 'site.ini' )

Definition at line 46 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $interval

$interval = new eZTime()

Definition at line 334 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $IntervalStr

$IntervalStr = "00:15"

Definition at line 57 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $isMyCalendar

$isMyCalendar = $user && $userID == $GetByUserID ? "-private" : ""

Definition at line 154 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $Language

$Language = $ini->variable("eZGroupEventCalendarMain", "Language")

Definition at line 49 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $lastInterval

$lastInterval = $midNight->subtract($interval)

Definition at line 417 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $Locale

$Locale = new eZLocale($Language)

Definition at line 58 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $midNight

$midNight = new eZTime()

Definition at line 415 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $Month

$Month = $date->month()

Definition at line 144 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $noShowGroup

$noShowGroup = new eZGroupNoShow()

Definition at line 188 of file ezgroupeventcalendar/user/dayview.php.

Referenced by eZGroupEvent\getAllByDate(), and eZGroupEvent\getAllByType().

## ◆ $now

$now = new eZTime()

Definition at line 642 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $nowSet

$nowSet = false

Definition at line 643 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $numCols

$numCols = 1

Definition at line 533 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $numRows

for ( $i=$startTime->hour();$i<=$stopTime->hour();$i++) $numRows = 0

Definition at line 532 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $rootAccess

$rootAccess = false

Definition at line 190 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $row

$row = 0

Definition at line 644 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 158 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $session

if ($user) elseif (! $user) $session = &eZSession::globalSession()

Definition at line 77 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $SiteDesign

$SiteDesign = $ini->variable("site", "SiteDesign")

Definition at line 47 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $startTime

$startTime = new eZTime()

Definition at line 332 of file ezgroupeventcalendar/user/dayview.php.

Referenced by intersects().

## ◆ $StartTimeStr

$StartTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStartTime")

Definition at line 50 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $stopTime

$stopTime = new eZTime()

Definition at line 333 of file ezgroupeventcalendar/user/dayview.php.

Referenced by intersects().

## ◆ $StopTimeStr

$StopTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStopTime")

Definition at line 51 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( $TemplateDir,
"kernel/ezgroupeventcalendar/user/intl",
$Language,
"dayview.php",
"default",
"kernel/ezgroupeventcalendar" . "/user",
"$Year-$zMonth-$zDay-$GetByUserID" . $isMyCalendar
)
eZTemplate
Definition: eztemplate.php:107
$isMyCalendar
$isMyCalendar
Definition: ezgroupeventcalendar/user/dayview.php:154
$TemplateDir
$TemplateDir
Definition: ezgroupeventcalendar/user/dayview.php:53
$Language
$Language
Definition: ezgroupeventcalendar/user/dayview.php:49

Definition at line 173 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tableCellsId

$tableCellsId = []

Definition at line 534 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tableCellsRowSpan

$tableCellsRowSpan = []

Definition at line 535 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )

Definition at line 53 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $templateDirTmp

$templateDirTmp = $sectionObject->templateStyle()

Definition at line 161 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tmpDate

$tmpDate = new eZDate($date->year(), $date->month(), $date->day())

Definition at line 315 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tmpGroup

if ($session->variable("ShowOtherCalendarGroups")==false||isset( $GetByGroup)) $tmpGroup = new eZUserGroup($session->variable("ShowOtherCalendarGroups"))

Definition at line 117 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tmpGroupEvent

$tmpGroupEvent = new eZGroupEvent()

Definition at line 316 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $tmpTime

$tmpTime = new eZTime()

Definition at line 539 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $today

$today = new eZDate()

Definition at line 314 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $type

if ($session->variable("ShowOtherCalendarTypes")==false||isset( $GetByTypeID)) $type = new eZGroupEventType($Type)

Definition at line 109 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $typeList

foreach ( $group_array as $groupItem) $typeList = $type->getAll()

Definition at line 857 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $URL

$URL = explode("/", $_SERVER["REQUEST_URI"])

Definition at line 80 of file ezgroupeventcalendar/user/dayview.php.

Referenced by eZXMLRPCClient\send().

## ◆ $user

$user = eZUser::currentUser()

Definition at line 66 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $user_groupID

$user_groupID = "-1"

Definition at line 184 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $zDay

$zDay = addZero($Day)

Definition at line 153 of file ezgroupeventcalendar/user/dayview.php.

## ◆ $zMonth

$zMonth = addZero($Month)

Definition at line 152 of file ezgroupeventcalendar/user/dayview.php.

## ◆ else

foreach ( $typeList as $type) if (isset( $editor) &&$editor==true) else

Initial value:
{
$readGroup = new eZUserGroup($session->variable("ShowOtherCalendarGroups"))
eZUserGroup
Definition: ezusergroup.php:66
$session
if( $user) elseif(! $user) $session
Definition: ezgroupeventcalendar/user/dayview.php:77

Definition at line 88 of file ezgroupeventcalendar/user/dayview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.